<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>HTML Table and Form</title>
</head>
<body>
    <header>
        <h1>HTML Table and Forms</h1>
    </header>
    <main>
        <section>
            <h2>HTML Entities</h2>
            <p><em>Reserve  Characters in HTML (e.g. &lt; or &gt; characters that can mix up with HTML code).</em></p>
        </section>
        <!-- Defines HTML Table -->
        <table border="1">
            <!-- Used to group table header content -->
            <thead>
                <!-- Defines table row -->
                <tr>
                    <!-- Defines table header -->
                    <th>Entity</th>
                    <th colspan="2">Description</th>
                </tr>
            </thead>
            <!-- Used to group table body content -->
            <tbody>
                <tr>
                    <!-- Defines table element -->
                    <td>&lt;</td>
                    <td>lt</td>
                    <td>less than</td>
                </tr>
                <tr>
                    <td>&gt;</td>
                    <td>gt</td>
                    <td>greater than</td>
                </tr>
                <tr>
                    <td>&#8369;</td>
                    <td>8369</td>  
                    <td>peso sign</td>
                </tr>
                <tr>
                    <td>&amp;</td>
                    <td>amp</td>
                    <td>ampersand</td>
                </tr>
                <tr>
                    <td>&quot;</td>
                    <td>quot</td>
                    <td>double quotation mark</td>
                </tr>
                <tr>
                    <td>&apos;</td>
                    <td>apos</td>
                    <td>single quotation mark (apostrophe)</td>
                </tr>
                <tr>
                    <td>&ntilde;</td>
                    <td>ntilde</td>
                    <td>Lower Tilde</td>
                </tr><tr>
                    <td>&Ntilde;</td>
                    <td>Ntilde</td>
                    <td>Upper Tilde</td>
                </tr>
            </tbody>
            <!-- Use to group table footer content -->
            <tfoot>
                <tr>
                    <th colspan="3">List of HTML Entities</th>
            </tfoot>
        </table>
        <section>
            <h2>HTML Forms</h2>
            <p><em>Input elements that make up form.</em></p>
            <!-- Makes an HTML form to capture user input -->
            <form action="https://google.com">
                <!-- Creates a label and allows for input field selection when clicked -->
                <label for="full_name">Full Name:</label><br>
                <input type="text" name="full_name" id="full_name" placeholder="Full Name" required><br>
                <label for="birth_date">Birthday:</label><br>
                <input type="date" name="birth_date" id="birth_date" placeholder="Birth day" required><br>
                <label for="age">Age:</label>
                <input type="number" name="age" id="number" required><br>
                <label for="gender">Gender:</label>
                <!-- Creates a dropdown selection -->
                <select name="gender" id="gender">
                    <!-- Creates an option for the dropdown menu -->
                    <option>--Select Gender--</option>
                    <option value="Male">Male</option>
                    <option value="Female">Female</option>
                </select><br>
                <label for="notes">Notes:</label><br>
                <!-- Creates larger input area -->
                <textarea name="notes" id="notes" cols="30" rows="10" style="resize: none;"></textarea><br>
                <!-- Radio Dutton -->
                <label >New User:</label><br>
                <input type="radio" name="new_user" id="user_type1" value="yes">
                <label for="user_type1">Yes</label><br>
                <input type="radio" name="new_user" id="user_type2" value="no">
                <label for="user_type2">No</label><br>
                <!-- Checkboxes -->
                <label>Role:</label><br>
                <!-- Creates checkboxes for multiple choices -->
                <input type="checkbox" name="role1" id="role1" value="developer">
                <label for="role1">Developer</label><br>
                <input type="checkbox" name="role3" id="role2" value="student">
                <label for="role2">Student</label><br>
                <input type="checkbox" name="role3" id="role3" value="manager">
                <label for="role3">Manager</label><br><br>
                <!-- Creates a button that will submit the form data -->
                <button type="submit">Submit</button><br>
                <!-- Creates a button to reset the form -->
                <button type="reset">Reset</button>
            </form>
        </section>

    </main>    
</body>
</html>